Bug 450390 - "permission append is not defined for class chr_file" when using the macro dev_rw_null(domain)
"permission append is not defined for class chr_file" when using the macro de...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-07 08:35 EDT by Aleksander Adamowski
Modified: 2012-10-16 04:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:32:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0163 normal SHIPPED_LIVE selinux-policy bug fix and enhancement update 2009-01-20 11:05:21 EST

  None (edit)
Description Aleksander Adamowski 2008-06-07 08:35:51 EDT
Description of problem:

When using the dev_rw_null() macro from policy/modules/kernel/devices.if, during
compilation of the policy module that uses it the following error is thrown:

/usr/bin/checkmodule:  loading policy configuration from tmp/modulename.tmp
modulename.te:846:ERROR 'permission append is not defined for class chr_file' at
token ';' on line 81835:
#line 846
        allow domedomain_t null_device_t:chr_file { getattr read write append
ioctl lock };


Version-Release number of selected component (if applicable):
selinux-policy-devel-2.4.6-106.el5_1.3
Comment 1 RHEL Product and Program Management 2008-06-10 16:45:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Daniel Walsh 2008-07-02 16:33:55 EDT
Fixed in selinux-policy-2.4.6-140
Comment 7 errata-xmlrpc 2009-01-20 16:32:03 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0163.html

Note You need to log in before you can comment on or make changes to this bug.